On Sat, May 12, 2012 at 6:41 PM, Damien Raude-Morvan
<draz...@drazzib.com> wrote:
> Hi Pau!
>
> Le lundi 07 mai 2012 02:32:57, Pau Garcia i Quiles a écrit :
>> jPlayer is required by version 3.2.1 of my package witty
>> (http://packages.debian.org/witty) and by owncloud (
>> http://owncloud.org/ , in process of packaging by Paul van Tilburg and
>> Thomas Müller).
>
> I'm interrested in sponsoring this package (ie. for owncloud),

Great, thank you

> so here we go
> for some comments :
>
> - You use tarball-in-tarball approch with a jQuery.jPlayer.2.1.0.source.zip
> into your jquery-jplayer_2.1.0.orig.tar.gz. I'm not sure this is useful for
> this simple package : you should just repack upstream to an orig.tar.{gz,bz2}.
> This is easier for code review and for applying patches.

AFAIK it's not possible to repack a .zip file while preserving
timestamps, permissions, etc. That's why I'm packaging the .zip inside
the .orig.tar.gz.

I'm using a .tar.gz instead of .tar.bz2 because I'm still providing
packages for Wt (witty) for Ubuntu Hardy, which uses an old debhelper.
Since version 3.1.1, Wt depends on JPlayer for the WAudio and WVideo
classes, therefore I will provide jquery-jplayer backports for Ubuntu
Hardy.


> - Jplayer.fla file seems to be useless (according to upstream [1] and to your
> debian/rules). Since this file seems to be a binary proprietary blob (and I
> don't know any tool in Debian that can edit this file) I think you should 
> strip
> it from upstream tarball during repack.

Given that I cannot preserve permissions or timestamps, and this file
(although binary) is the "preferred editable form", not a compiled,
minified or obfuscated form, I'd rather not repack. The .fla is still
useful for people who use Adobe CS tools to edit the Flash (the .fla
is a "project file"), which can be used on Debian via Wine.


> - (optional) Maybe you should try Debian source package formats "3.0 (quilt)"
> [2] ?

It's not supported on Ubuntu Hardy. Due to that, and given that there
are not patches, no multiple upstream tarballs, or anything where
source format 3.0 would be useful, I can't see a valid reason to
change from 1.0 to 3.0.


> - (optional) There is also improvement for debhelper handling. I think that
> you can simplify your debian/rules file [3]

I don't really like the simplified debian/rules formats. Too much
magic hidden behind convention. I like to see what's going on.


> That's all :)

Thank you for your suggestions but I think I'm not adoption any of them :-)

> [1] http://jplayer.org/latest/developer-guide/#jPlayer-files-source
> [2] http://wiki.debian.org/Projects/DebSrc3.0
> [3] http://joeyh.name/blog/entry/cdbs_killer___40__design_phase__41__/


-- 
Pau Garcia i Quiles
http://www.elpauer.org
(Due to my workload, I may need 10 days to answer)

_______________________________________________
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to